Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153116 - gcj ICE compiling Azureus 2.2.0.2 to native code
Summary: gcj ICE compiling Azureus 2.2.0.2 to native code
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gcc
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andrew Haley
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-01 17:43 UTC by Luca Barbieri
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-13 14:57:45 UTC


Attachments (Terms of Use)

Description Luca Barbieri 2005-04-01 17:43:27 UTC
Description of problem:

gcj ICEs compiling Azureus 2.2.0.2 to native code.

Version-Release number of selected component (if applicable):
gcc-java-4.0.0-0.37

How reproducible:
Always

Steps to Reproduce:
1. Download and unpack Azureus 2.2.0.2 from
http://azureus.sourceforge.net/download.php
2. Run gcj -fPIC -fjni -findirect-dispatch -shared -Wl,-Bsymbolic
--classpath=swt.jar:swt-pi.jar:swt-mozilla.jar Azureus2.2.0.2.jar -o
Azureus2.2.0.2.jar.so
  
Actual results:
org/gudy/azureus2/core3/tracker/client/classic/TrackerStatus.java: In class
'org.gudy.azureus2.core3.tracker.client.classic.TrackerStatus':
org/gudy/azureus2/core3/tracker/client/classic/TrackerStatus.java: In method
'org.gudy.azureus2.core3.tracker.client.classic.TrackerStatus.scrapeUDP(java.net.URL,java.io.ByteArrayOutputStream,byte[])':
org/gudy/azureus2/core3/tracker/client/classic/TrackerStatus.java:813: internal
compiler error: in update_aliases, at java/decl.c:166
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.

Expected results:
Success.

Additional info:
Happens with several other sets of command line options (including no options
except --classpath and -o).

Comment 1 Luca Barbieri 2005-04-04 16:46:35 UTC
Bug still present in gcc-java-4.0.0-0.39


Comment 2 Luca Barbieri 2005-04-09 22:44:51 UTC
Bug still present in gcc-java-4.0.0-0.40

Comment 3 Andrew Haley 2005-04-10 09:54:31 UTC
Hmm, I thought this was fixed.

This is an upstream bug.  Please add it to http://gcc.gnu.org/bugzilla/.


Comment 4 Andrew Haley 2005-10-13 14:57:45 UTC
Fixed in gcc-java-4.0.1-14.



Note You need to log in before you can comment on or make changes to this bug.